Delete deployment template
- DELETE /deployments/templates/{template_id}
Deletes a deployment template by id.
Path Parameters
-
template_idstringrequired -
The identifier for the deployment template.
Query Parameters
-
regionstringrequired Region of the deployment template
Responses
The deployment template was successfully deleted.
Response Type: EmptyResponse
The requested region is not supported. (code: templates.region_not_found)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response
The user is not authorized to access requested region. (code: templates.region_not_allowed)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response
The deployment template specified by {template_id} cannot be found. (code: templates.template_not_found)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response